Name:		kuftp
Version:	1.5.0
Release:	%mkrel 2
License:	GPLv2+
Url:	        http://kUftp.SOurceforge.net/	
Group:		Networking/File transfer
Source0:	%{name}-%{version}.tar.bz2
Summary:        A graphical FTP client for the K Desktop Environment
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  kdelibs-devel desktop-file-utils
BuildRequires:  openssl-devel

%description
KuFTP is a graphical FTP client for the K Desktop Environment.

Most notable features is Tab Sessions like Konqueror or Firefox.
Other features like bookmark manager,queue manager,speed limit,
proxy support,SSL/TSL support, multi charsets support and some
small nifty features are currently available in the latest version.

%if %mdkversion < 200900
%post
%{update_desktop_database}
%update_icon_cache hicolor
%update_menus
%endif

%if %mdkversion < 200900
%postun
%{clean_desktop_database}
%clean_icon_cache hicolor
%clean_menus
%endif

%files -f %name.lang
%defattr(-,root,root)
%doc ChangeLog README TODO
%_kde3_bindir/%name
%_kde3_libdir/*.a
%_kde3_datadir/apps/%name
%_kde3_datadir/applications/kde/*.desktop
%_kde3_iconsdir/hicolor/*/*/*.png

%prep
%setup -q

%build
%configure_kde3 --disable-final
%make

%install
rm -rf %buildroot
%{makeinstall_std}

desktop-file-install --vendor='' --delete-original \
	--dir %buildroot%_kde3_datadir/applications/kde/ \
	--remove-key='Encoding' \
	%buildroot%_kde3_datadir/applnk/Utilities/kuftp.desktop

%find_lang %name --with-html

%clean
rm -rf %buildroot


%changelog
* Mon Aug 04 2008 Funda Wang <fundawang@mandriva.org> 1.5.0-2mdv2009.0
+ Revision: 263411
- switch to /opt

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat Apr 19 2008 Funda Wang <fundawang@mandriva.org> 1.5.0-1mdv2009.0
+ Revision: 195770
- import source and spec files
- Created package structure for kuftp.

